<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::integration::test::AudioInputProcessorTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html">AudioInputProcessorTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::test::AudioInputProcessorTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::integration::test::AudioInputProcessorTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test_inherit__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::integration::test::AudioInputProcessorTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test_coll__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test_coll__map">
<area shape="rect" id="node3" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html" title="alexaClientSDK::avsCommon\l::utils::AudioFormat" alt="" coords="83,5,280,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:acb6152d573641781808e811cad9383ef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#acb6152d573641781808e811cad9383ef">SetUp</a> () override</td></tr>
<tr class="separator:acb6152d573641781808e811cad9383ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6befda8c7d7bdd29d12bd1b9121789e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a6befda8c7d7bdd29d12bd1b9121789e4">TearDown</a> () override</td></tr>
<tr class="separator:a6befda8c7d7bdd29d12bd1b9121789e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefa6e20cde5ee7105e6de0711e8e6573"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#aefa6e20cde5ee7105e6de0711e8e6573">connect</a> ()</td></tr>
<tr class="separator:aefa6e20cde5ee7105e6de0711e8e6573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7035681a7a515e468cbaffda2e2fc35b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a7035681a7a515e468cbaffda2e2fc35b">disconnect</a> ()</td></tr>
<tr class="separator:a7035681a7a515e468cbaffda2e2fc35b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ab143e6a2cab4ad9151edcf3d5972b3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a7ab143e6a2cab4ad9151edcf3d5972b3">checkSentEventName</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html">TestMessageSender</a> &gt; connectionManager, std::string expectedName)</td></tr>
<tr class="separator:a7ab143e6a2cab4ad9151edcf3d5972b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ac25627c9b8d0cfcbb5a2f8cafd1e90cc"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_c_l_test_context.html">ACLTestContext</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#ac25627c9b8d0cfcbb5a2f8cafd1e90cc">m_context</a></td></tr>
<tr class="memdesc:ac25627c9b8d0cfcbb5a2f8cafd1e90cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context for running ACL based tests.  <a href="#ac25627c9b8d0cfcbb5a2f8cafd1e90cc">More...</a><br /></td></tr>
<tr class="separator:ac25627c9b8d0cfcbb5a2f8cafd1e90cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05d6bf3050bebb1436c578e87535b87f"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html">TestMessageSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a05d6bf3050bebb1436c578e87535b87f">m_avsConnectionManager</a></td></tr>
<tr class="separator:a05d6bf3050bebb1436c578e87535b87f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a186ffbe4572af4a186f239fcc20851cf"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">TestDirectiveHandler</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a186ffbe4572af4a186f239fcc20851cf">m_directiveHandler</a></td></tr>
<tr class="separator:a186ffbe4572af4a186f239fcc20851cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c3b0990aa7f2de3cf4f82bc708a9eb3"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender.html">TestExceptionEncounteredSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a1c3b0990aa7f2de3cf4f82bc708a9eb3">m_exceptionEncounteredSender</a></td></tr>
<tr class="separator:a1c3b0990aa7f2de3cf4f82bc708a9eb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac31eb670b8a142ad1aa6288e5170e1c1"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_sequencer_interface.html">DirectiveSequencerInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#ac31eb670b8a142ad1aa6288e5170e1c1">m_directiveSequencer</a></td></tr>
<tr class="separator:ac31eb670b8a142ad1aa6288e5170e1c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9c7acf0285ca779baa52a29faedaf4a"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_message_interpreter.html">MessageInterpreter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#aa9c7acf0285ca779baa52a29faedaf4a">m_messageInterpreter</a></td></tr>
<tr class="separator:aa9c7acf0285ca779baa52a29faedaf4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaef8fe0dd16c7951236aea7c154f8ccc"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">afml::FocusManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#aaef8fe0dd16c7951236aea7c154f8ccc">m_focusManager</a></td></tr>
<tr class="separator:aaef8fe0dd16c7951236aea7c154f8ccc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a690d7b681c0af2938e2e08518022236a"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_dialog_u_x_state_aggregator.html">avsCommon::avs::DialogUXStateAggregator</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a690d7b681c0af2938e2e08518022236a">m_dialogUXStateAggregator</a></td></tr>
<tr class="separator:a690d7b681c0af2938e2e08518022236a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52d4a8fcaa6f0c074d93d118fafa9a29"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_client.html">TestClient</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a52d4a8fcaa6f0c074d93d118fafa9a29">m_testClient</a></td></tr>
<tr class="separator:a52d4a8fcaa6f0c074d93d118fafa9a29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace0e05979c0df6e2299175c0dd6189e0"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_user_inactivity_monitor.html">UserInactivityMonitor</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#ace0e05979c0df6e2299175c0dd6189e0">m_userInactivityMonitor</a></td></tr>
<tr class="separator:ace0e05979c0df6e2299175c0dd6189e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a854b93ebd60971f49a01d41ca63df34d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html">AudioInputProcessor</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a854b93ebd60971f49a01d41ca63df34d">m_AudioInputProcessor</a></td></tr>
<tr class="separator:a854b93ebd60971f49a01d41ca63df34d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3daa2e25566a354f528e6087ae7d7b60"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_aip_state_observer.html">AipStateObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a3daa2e25566a354f528e6087ae7d7b60">m_StateObserver</a></td></tr>
<tr class="separator:a3daa2e25566a354f528e6087ae7d7b60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6167ae082184557914b21a7c9cd98ac1"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1tap_to_talk_button.html">tapToTalkButton</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a6167ae082184557914b21a7c9cd98ac1">m_tapToTalkButton</a></td></tr>
<tr class="separator:a6167ae082184557914b21a7c9cd98ac1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa03bec17c70051a2ff68a204dce300c"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1hold_to_talk_button.html">holdToTalkButton</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#afa03bec17c70051a2ff68a204dce300c">m_holdToTalkButton</a></td></tr>
<tr class="separator:afa03bec17c70051a2ff68a204dce300c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab111c975fc9c187ccf03d9c4ed8d2d37"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1test_state_provider.html">testStateProvider</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#ab111c975fc9c187ccf03d9c4ed8d2d37">m_stateProvider</a></td></tr>
<tr class="separator:ab111c975fc9c187ccf03d9c4ed8d2d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac9b166f7d11bd9c2fd0941ccfd681c9"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_writer.html">AudioInputStream::Writer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#aac9b166f7d11bd9c2fd0941ccfd681c9">m_AudioBufferWriter</a></td></tr>
<tr class="separator:aac9b166f7d11bd9c2fd0941ccfd681c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a952e60660ac13e468187b78c89b881dd"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">AudioInputStream</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a952e60660ac13e468187b78c89b881dd">m_AudioBuffer</a></td></tr>
<tr class="separator:a952e60660ac13e468187b78c89b881dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a018f24320eadccbf2b6728673f1867"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a5a018f24320eadccbf2b6728673f1867">m_TapToTalkAudioProvider</a></td></tr>
<tr class="separator:a5a018f24320eadccbf2b6728673f1867"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a677676f417169d9f8d6aef1f99c3500a"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a677676f417169d9f8d6aef1f99c3500a">m_HoldToTalkAudioProvider</a></td></tr>
<tr class="separator:a677676f417169d9f8d6aef1f99c3500a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a043cca41ae051935f04280cfae142eb8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_input_processor_test.html#a043cca41ae051935f04280cfae142eb8">m_compatibleAudioFormat</a></td></tr>
<tr class="separator:a043cca41ae051935f04280cfae142eb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7ab143e6a2cab4ad9151edcf3d5972b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ab143e6a2cab4ad9151edcf3d5972b3">&#9670;&nbsp;</a></span>checkSentEventName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::integration::test::AudioInputProcessorTest::checkSentEventName </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html">TestMessageSender</a> &gt;&#160;</td>
          <td class="paramname"><em>connectionManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>expectedName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aefa6e20cde5ee7105e6de0711e8e6573"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefa6e20cde5ee7105e6de0711e8e6573">&#9670;&nbsp;</a></span>connect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AudioInputProcessorTest::connect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Connect to AVS. </p>

</div>
</div>
<a id="a7035681a7a515e468cbaffda2e2fc35b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7035681a7a515e468cbaffda2e2fc35b">&#9670;&nbsp;</a></span>disconnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AudioInputProcessorTest::disconnect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Disconnect from AVS. </p>

</div>
</div>
<a id="acb6152d573641781808e811cad9383ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb6152d573641781808e811cad9383ef">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AudioInputProcessorTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6befda8c7d7bdd29d12bd1b9121789e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6befda8c7d7bdd29d12bd1b9121789e4">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::AudioInputProcessorTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a952e60660ac13e468187b78c89b881dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a952e60660ac13e468187b78c89b881dd">&#9670;&nbsp;</a></span>m_AudioBuffer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">AudioInputStream</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_AudioBuffer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aac9b166f7d11bd9c2fd0941ccfd681c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac9b166f7d11bd9c2fd0941ccfd681c9">&#9670;&nbsp;</a></span>m_AudioBufferWriter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_writer.html">AudioInputStream::Writer</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_AudioBufferWriter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a854b93ebd60971f49a01d41ca63df34d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a854b93ebd60971f49a01d41ca63df34d">&#9670;&nbsp;</a></span>m_AudioInputProcessor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html">AudioInputProcessor</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_AudioInputProcessor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a05d6bf3050bebb1436c578e87535b87f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05d6bf3050bebb1436c578e87535b87f">&#9670;&nbsp;</a></span>m_avsConnectionManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_message_sender.html">TestMessageSender</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_avsConnectionManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a043cca41ae051935f04280cfae142eb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a043cca41ae051935f04280cfae142eb8">&#9670;&nbsp;</a></span>m_compatibleAudioFormat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> alexaClientSDK::integration::test::AudioInputProcessorTest::m_compatibleAudioFormat</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac25627c9b8d0cfcbb5a2f8cafd1e90cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac25627c9b8d0cfcbb5a2f8cafd1e90cc">&#9670;&nbsp;</a></span>m_context</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_c_l_test_context.html">ACLTestContext</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_context</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Context for running ACL based tests. </p>

</div>
</div>
<a id="a690d7b681c0af2938e2e08518022236a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a690d7b681c0af2938e2e08518022236a">&#9670;&nbsp;</a></span>m_dialogUXStateAggregator</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_dialog_u_x_state_aggregator.html">avsCommon::avs::DialogUXStateAggregator</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_dialogUXStateAggregator</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a186ffbe4572af4a186f239fcc20851cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a186ffbe4572af4a186f239fcc20851cf">&#9670;&nbsp;</a></span>m_directiveHandler</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">TestDirectiveHandler</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_directiveHandler</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac31eb670b8a142ad1aa6288e5170e1c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac31eb670b8a142ad1aa6288e5170e1c1">&#9670;&nbsp;</a></span>m_directiveSequencer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_sequencer_interface.html">DirectiveSequencerInterface</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_directiveSequencer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c3b0990aa7f2de3cf4f82bc708a9eb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c3b0990aa7f2de3cf4f82bc708a9eb3">&#9670;&nbsp;</a></span>m_exceptionEncounteredSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender.html">TestExceptionEncounteredSender</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_exceptionEncounteredSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaef8fe0dd16c7951236aea7c154f8ccc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaef8fe0dd16c7951236aea7c154f8ccc">&#9670;&nbsp;</a></span>m_focusManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">afml::FocusManager</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_focusManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a677676f417169d9f8d6aef1f99c3500a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a677676f417169d9f8d6aef1f99c3500a">&#9670;&nbsp;</a></span>m_HoldToTalkAudioProvider</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_HoldToTalkAudioProvider</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afa03bec17c70051a2ff68a204dce300c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa03bec17c70051a2ff68a204dce300c">&#9670;&nbsp;</a></span>m_holdToTalkButton</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1hold_to_talk_button.html">holdToTalkButton</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_holdToTalkButton</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9c7acf0285ca779baa52a29faedaf4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9c7acf0285ca779baa52a29faedaf4a">&#9670;&nbsp;</a></span>m_messageInterpreter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_message_interpreter.html">MessageInterpreter</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_messageInterpreter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3daa2e25566a354f528e6087ae7d7b60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3daa2e25566a354f528e6087ae7d7b60">&#9670;&nbsp;</a></span>m_StateObserver</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_aip_state_observer.html">AipStateObserver</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_StateObserver</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab111c975fc9c187ccf03d9c4ed8d2d37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab111c975fc9c187ccf03d9c4ed8d2d37">&#9670;&nbsp;</a></span>m_stateProvider</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1test_state_provider.html">testStateProvider</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_stateProvider</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a018f24320eadccbf2b6728673f1867"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a018f24320eadccbf2b6728673f1867">&#9670;&nbsp;</a></span>m_TapToTalkAudioProvider</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_TapToTalkAudioProvider</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6167ae082184557914b21a7c9cd98ac1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6167ae082184557914b21a7c9cd98ac1">&#9670;&nbsp;</a></span>m_tapToTalkButton</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1tap_to_talk_button.html">tapToTalkButton</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_tapToTalkButton</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a52d4a8fcaa6f0c074d93d118fafa9a29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52d4a8fcaa6f0c074d93d118fafa9a29">&#9670;&nbsp;</a></span>m_testClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_client.html">TestClient</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_testClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ace0e05979c0df6e2299175c0dd6189e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace0e05979c0df6e2299175c0dd6189e0">&#9670;&nbsp;</a></span>m_userInactivityMonitor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_user_inactivity_monitor.html">UserInactivityMonitor</a>&gt; alexaClientSDK::integration::test::AudioInputProcessorTest::m_userInactivityMonitor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Integration/test/<a class="el" href="_audio_input_processor_integration_test_8cpp.html">AudioInputProcessorIntegrationTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
